Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572854 - [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 28
Hardware: x86_64
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:22067155ba4ed0674c3f574085f...
: 1577643 1634507 1640025 1644482 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-28 07:08 UTC by Gwendal
Modified: 2019-05-28 23:04 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:04:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (41.12 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: cgroup (341 bytes, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: core_backtrace (33.19 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: cpuinfo (1.67 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: dso_list (19.74 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: environ (1.92 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: exploitable (112 bytes, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: maps (94.71 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: mountinfo (4.59 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: open_fds (6.61 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: var_log_messages (3.28 KB, text/plain)
2018-04-28 07:08 UTC, Gwendal
no flags Details
File: backtrace (32.85 KB, text/plain)
2018-10-04 19:42 UTC, Joe
no flags Details

Description Gwendal 2018-04-28 07:08:31 UTC
Version-Release number of selected component:
gnome-software-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=1dbf0f4b120c426db28a10d65da9efdd;i=387c4;b=2b6933d89c564b518e06f60b6a97b148;m=66dc0080;t=56ae32c2339e6;x=d7c9f05a6fceb469
kernel:         4.16.3-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 gtk_stack_set_visible_child_name at gtkstack.c:1839
 #1 get_sources_cb at ../src/gs-repos-dialog.c:510
 #2 g_task_return_now at gtask.c:1148
 #3 complete_in_idle_cb at gtask.c:1162
 #8 g_main_context_iteration at gmain.c:3964
 #9 g_application_run at gapplication.c:2470
 #12 _start

Potential duplicate: bug 1516111

Comment 1 Gwendal 2018-04-28 07:08:36 UTC
Created attachment 1427968 [details]
File: backtrace

Comment 2 Gwendal 2018-04-28 07:08:37 UTC
Created attachment 1427969 [details]
File: cgroup

Comment 3 Gwendal 2018-04-28 07:08:39 UTC
Created attachment 1427970 [details]
File: core_backtrace

Comment 4 Gwendal 2018-04-28 07:08:40 UTC
Created attachment 1427971 [details]
File: cpuinfo

Comment 5 Gwendal 2018-04-28 07:08:42 UTC
Created attachment 1427972 [details]
File: dso_list

Comment 6 Gwendal 2018-04-28 07:08:43 UTC
Created attachment 1427973 [details]
File: environ

Comment 7 Gwendal 2018-04-28 07:08:44 UTC
Created attachment 1427974 [details]
File: exploitable

Comment 8 Gwendal 2018-04-28 07:08:45 UTC
Created attachment 1427975 [details]
File: limits

Comment 9 Gwendal 2018-04-28 07:08:47 UTC
Created attachment 1427976 [details]
File: maps

Comment 10 Gwendal 2018-04-28 07:08:49 UTC
Created attachment 1427977 [details]
File: mountinfo

Comment 11 Gwendal 2018-04-28 07:08:50 UTC
Created attachment 1427978 [details]
File: open_fds

Comment 12 Gwendal 2018-04-28 07:08:51 UTC
Created attachment 1427979 [details]
File: proc_pid_status

Comment 13 Gwendal 2018-04-28 07:08:53 UTC
Created attachment 1427980 [details]
File: var_log_messages

Comment 14 marcel 2018-05-13 17:18:51 UTC
*** Bug 1577643 has been marked as a duplicate of this bug. ***

Comment 15 vblanton@gmail.com 2018-05-24 19:10:06 UTC
Hello, I was about to submit a duplicate report via "Problem Reporting" in Gnome and it labeled it as a duplicate of this bug. I decided to just add a comment about how to reproduce this bug and frankly, I cannot. Perhaps it only happens on first run of fresh boot up?

Anyway, here is how it first occurred:

1) I clicked the button to download new updates after reviewing recent updates that had happened last time a did a shutdown and unattended update of system.

2) I opened up "Software Repositories" from menu while it was updating.

Then crash.

Thanks, maybe this helps.

Comment 16 Andrea Vai 2018-10-01 06:45:31 UTC
*** Bug 1634507 has been marked as a duplicate of this bug. ***

Comment 17 Joe 2018-10-04 19:42:41 UTC
Similar problem has been detected:

I added the steam repository, clicked save, then the software crashed.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=fd24e8fdc4e64d08bc7eb4375a7c245b;i=201016;b=8b663a2354fc43af93435d826a1a7f04;m=7a0ecadf9;t=5776c41ab7fd6;x=bcba26f2b2ae7519
kernel:         4.18.10-200.fc28.x86_64
package:        gnome-software-3.28.2-2.fc28
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Joe 2018-10-04 19:42:46 UTC
Created attachment 1490696 [details]
File: backtrace

Comment 19 Peter Hjalmarsson 2018-10-13 15:27:28 UTC
Similar problem has been detected:

I tried to search for updates using Gnome Software

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=91053d7277664f6eb1014daad8fac20b;i=fcb;b=9df962104bb44ca5b051c4d2c347e66d;m=cde1d54c;t=5781d7dac2f90;x=b00a33638862e7e9
kernel:         4.18.11-200.fc28.x86_64
package:        gnome-software-3.28.2-2.fc28
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 toover 2018-10-17 07:32:16 UTC
*** Bug 1640025 has been marked as a duplicate of this bug. ***

Comment 21 Will 2018-10-31 01:45:48 UTC
*** Bug 1644482 has been marked as a duplicate of this bug. ***

Comment 22 Ben Cotton 2019-05-02 20:32:26 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Ben Cotton 2019-05-28 23:04:51 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.